Bug 411961 - When no kerberos ticket, message <type 'exceptions.AttributeError'>: 'Krb5Error' object has no attribute 'err_code' is shown
When no kerberos ticket, message <type 'exceptions.AttributeError'>: 'Krb5Err...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
: 426227 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 08:53 EST by Jan Pazdziora
Modified: 2013-01-09 20:44 EST (History)
4 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2007-12-05 08:53:52 EST
Description of problem:

When you run koji build without having kerberos ticket, message

<type 'exceptions.AttributeError'>: 'Krb5Error' object has no attribute 'err_code'

is shown. Some better error message, with information about what it tried to do
and when it failed and what the assumed problem (missing Krb ticket) would be nice.

Version-Release number of selected component (if applicable):

# rpm -q koji
koji-1.2.2-1.fc7.noarch

How reproducible:

Tried a couple of times. Also present in brew-0.9.4-4.fc7.noarch.

Steps to Reproduce:
1. Run koji build --scratch --skip-tag satellite-4E-5.1-candidate
mod_perl-2.0.2-5.rhn.rhel4.src.rpm
  
Actual results:

<type 'exceptions.AttributeError'>: 'Krb5Error' object has no attribute 'err_code'

Expected results:

No valid Kerberos ticket was found. Did you forget to run kinit?

or some similar message would be nice.

Additional info:
Comment 1 Jesse Keating 2008-05-16 10:11:23 EDT
Filed upstream as http://fedoraproject.org/wiki/PackagingDrafts/SysVInitScript
Comment 2 Jesse Keating 2008-05-16 10:12:44 EDT
*** Bug 426227 has been marked as a duplicate of this bug. ***
Comment 3 Jesse Keating 2008-05-16 10:14:58 EDT
Actually this is already fix upstream.
Comment 4 Bug Zapper 2008-11-26 03:51:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jon Stanley 2008-11-26 12:37:02 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.